detekt-api
1.21.0-RC2

# ActiveByDefault

@ Target (allowedTargets = [ AnnotationTarget.CLASS ])
annotation class ActiveByDefault (val since: String )
Content copied to clipboard

Annotated io.gitlab.arturbosch.detekt.api.Rule or io.gitlab.arturbosch.detekt.api.RuleSetProvider is active by default.

## Constructors

ActiveByDefault
Link copied to clipboard
fun ActiveByDefault (since: String )
Content copied to clipboard

## Properties

since
Link copied to clipboard
val since : String
Content copied to clipboard

The Detekt version the rule was activated by default in the following format: <major>.<minor>.<patch>, where major, minor and patch are non-negative integer numbers.